<section class="detail">
  <div class="content p-5">
    <div class="d-flex align-items-center mb-3">
      <h4 class="title mb-0 me-5">{{data.title}}</h4>
      <button class="btn btn-success ms-auto text-white text-nowrap"
              (click)="download(apiData + data.image)">Unduh Gambar</button>
    </div>
    <img class="mb-3 w-100"
         [src]="apiData + data.image">
    <ul class="nav-flush"
        #navFlush="ngbNav"
        activeId="general"
        ngbNav>
      <li (click)="onClickNav('general')"
          ngbNavItem="general">
        <a class="px-4 font-weight-bold"
           ngbNavLink>
          Informasi Umum
        </a>

        <ng-template ngbNavContent>
          <table [cellPadding]="8">
            <tr>
              <td class="ps-0">Topik</td>
              <td class="align-top">:</td>
              <td class="fw-bold">{{data.sektoral.name}}</td>
            </tr>
            <tr>
              <td class="ps-0">Tahun Rilis</td>
              <td class="align-top">:</td>
              <td class="fw-bold">{{data.year}}</td>
            </tr>
            <tr>
              <td class="ps-0">Tipe Peta</td>
              <td class="align-top">:</td>
              <td class="fw-bold">{{getMapType(data.map_type)}}</td>
            </tr>
            <tr>
              <td class="ps-0">Deskripsi</td>
              <td class="align-top">:</td>
              <td class="fw-bold">{{data.description}}</td>
            </tr>
          </table>
          <div>Sumber Data</div>
          <table [cellPadding]="8">
            <ng-container *ngFor="let source of data.source; let i = index">
              <tr>
                <td class="align-top ps-0"
                    rowspan="4">{{i+1}}.</td>
                <td>Nama Data</td>
                <td class="align-top">:</td>
                <td class="fw-bold">{{source.name}}</td>
              </tr>
              <tr>
                <td>Produsen Data</td>
                <td class="align-top">:</td>
                <td class="fw-bold">{{source.skpd.nama_skpd}}</td>
              </tr>
              <tr>
                <td>Jenis Data</td>
                <td class="align-top">:</td>
                <td class="fw-bold">{{getDataType(source.datatype)}}</td>
              </tr>
              <tr>
                <td>Tahun Data</td>
                <td class="align-top">:</td>
                <td class="fw-bold">{{source.year}}</td>
              </tr>
            </ng-container>
          </table>
        </ng-template>
      </li>
      <li (click)="onClickNav('metadata')"
          ngbNavItem="metadata">
        <a class="px-4 font-weight-bold"
           ngbNavLink>
          Metadata
        </a>

        <ng-template ngbNavContent>
          <div class="row">
            <label class="col-md-6 d-block mb-3 fw-bold"
                   *ngFor="let metadata of data.metadata">
              {{ metadata.key }}
              <div class="fw-normal">
                {{ metadata.value }}
              </div>
            </label>
          </div>
        </ng-template>
      </li>
    </ul>
    <div class="py-3"
         [ngbNavOutlet]="navFlush"></div>
  </div>
</section>